Subject: Autoconf’s config.{guess,sub} have patched shebangs
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Tue, 31 Aug 2021 01:05:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As reported at
<https://lists.gnu.org/archive/html/guix-devel/2021-08/msg00127.html>,
Autoconf’s config.{guess,sub} (installed by running ‘autoconf -i’ or
similar) have patched shebangs, making them unsuitable on non-Guix
systems:

--8<---------------cut here---------------start------------->8---
$ head -1 $(find $(guix build autoconf) -name config.guess)
#!/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/sh
$ head -1 $(find $(guix build autoconf) -name config.sub)
#!/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/sh
--8<---------------cut here---------------end--------------->8---

We should copy the ‘unpatch-shebangs’ phase from automake, added in
response to <https://issues.guix.gnu.org/14201>.

Ludo’.